<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Yajra\DataTables\DataTables;
use App\Models\FuncionarioCliente;
use App\Models\Conversa;
use App\Models\Cliente;
use App\Models\DepCliente;
use App\Models\Solicitacao;

class SolicitacaoDocumentos extends Controller
{
   /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {   
        $dados=$this->trazerPedidos("virtual");
        return view('usuarios.clientes.solicitacao.documentacao.virtual.pedidos_virtual',['dados'=>$dados]);
    }
    public function solicitacaoFisica()
    {
        $dados=$this->trazerPedidos("fisica");
        return view('usuarios.clientes.solicitacao.documentacao.fisica.pedidos_fisica',['dados'=>$dados]);
    } 

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }



    public function trazerPedidos($natureza)
    {
        $idEmpresa=FuncionarioCliente::trazer_Empresa_id();
        if($idEmpresa==null || empty($idEmpresa))
            return $dados=['semdados'=>0];
        
            $dados=Solicitacao::join('users','users.id','solicitacaos.user_id')
                        ->join('pessoas','pessoas.id','users.pessoa_id')
                        ->join('funcionarioclientes','funcionarioclientes.user_id','users.id')
                        ->join('categoriaclientes','categoriaclientes.id','funcionarioclientes.categoria_id')
                        ->where('solicitacaos.naturezasolicitacao',$natureza)
                        ->where('funcionarioclientes.cliente_id',$idEmpresa->id)
                        ->where('solicitacaos.estadosolicitacao',"recebido")
                        ->orWhere('solicitacaos.estadosolicitacao',"andamento")
                        ->select('solicitacaos.*','funcionarioclientes.cliente_id','pessoas.nome','categoriaclientes.categoriacliente')->get();
            return $dados;
   
        

      
    }

    public function solicitacaoDestruicao()
    {
        return  view('usuarios.clientes.solicitacao.destruicao.destruicao');
        
    }

      //Personalizar Documentos 
      public function solicitacaoPersonalizado($personal)
      {
         $personal=$personal;
         return view('usuarios.clientes.solicitacao.pedidopersonalizado.pedidopersonalizado',['personal'=>$personal]);
                     
      }


}
